<!--
  Copying and subsequent publication of this page is prohibited. 
  Modification, patches of this page are not permitted and are protected by copyright.
  The original page is at deltav4.gitlab.io/ext/index.html
  The author is not responsible for the actions of users of this page
	© Alexander Lylko
-->
<html>

	<head>  
		<title>Delta Agario</title>
		
		<meta name="renderer-type" content="Canvas">
		<meta name="description" content="An multiplayer game">
		<meta name="keywords" content="agario, agar, io, cell, cells, virus, bacteria, blob, game, games, web game, html5, fun, flash, delta, delta agar, agar selffeed, crazy agar, multiplayer, html5, javascript, 2021 agar">
		<meta name="theme-color" content="#000000"/>
		<link rel="shortcut icon" href="./assets/favicon.ico"/>
		<link rel="manifest" href="./manifest.webmanifest"/>
		<base href="https://deltav4.gitlab.io/ext/">
		<!--script>
			if(location.href.indexOf('127')>-1){
				document.write(`<base href="${location.href}">`)
			}else{
				document.write(`<base href="https://deltav4.gitlab.io/ext/">`)
				
			}
		</script-->

		<meta name="viewport" content="minimal-ui, width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
		<meta name="apple-mobile-web-app-status-bar-style" content="black" />
		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta property="og:title" content="Delta Agario"/>
		<meta property="og:description" content="An multiplayer game"/>
		<meta property="og:image" content="https://i.imgur.com/7cugADY.png"/>
		<meta property="og:type" content="website"/>
		<meta property="og:site_name" content="Delta Agario"/>

		<!--<script src="https://benvanik.github.io/WebGL-Inspector/core/embed.js"></script>-->
		<!--<script src="https://spite.github.io/rstats/rStats.js"></script>-->
		
		<!--script
			src="https://browser.sentry-cdn.com/5.29.2/bundle.min.js"
			integrity="sha384-ir4+BihBClNpjZk3UKgHTr0cwRhujAjy/M5VEGvcOzjhM1Db79GAg9xLxYn4uVK4"
			crossorigin="anonymous"
		></script>
		<script
			src="https://browser.sentry-cdn.com/5.29.2/bundle.tracing.min.js"
			integrity="sha384-4zxA5Bnxor/VkZae20EqPP3A/6vDlw1ZhqF7EvpmeTfWYFjPIDdaUSOk/q7G/bYw"
			crossorigin="anonymous"
		></script-->


		<link rel="preload" as="style" href="https://fonts.googleapis.com/css?family=Ubuntu:400,700&subset=cyrillic,cyrillic-ext,greek,greek-ext,latin-ext" crossorigin="anonymous" />
		<link rel="preload" as="style" href="https://fonts.googleapis.com/css?family=Roboto:400,700&subset=cyrillic,cyrillic-ext,greek,greek-ext,latin-ext,vietnamese" crossorigin="anonymous" />
		<link rel="preload" as="style" href="https://fonts.googleapis.com/css?family=Oswald:400,700&subset=latin-ext" crossorigin="anonymous" />
		<link rel="preload" as="style" href="https://fonts.googleapis.com/css?family=Press+Start+2P&display=swap&subset=cyrillic,cyrillic-ext,greek,latin-ext" crossorigin="anonymous" />
		<link rel="preload" as="style" href="https://fonts.googleapis.com/css?family=Pacifico&display=swap&subset=cyrillic,cyrillic-ext,latin-ext,vietnamese" crossorigin="anonymous" />

		
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/w3-css/4.1.0/w3.min.css" integrity="sha512-Z6UIAdEZ7JNzeX5M/c5QZj+oqbldGD+E8xJEoOwAx5e0phH7kdjsWULGeK5l2UjehKtChHDaUY2rQAF/NEiI9w==" crossorigin="anonymous" />
		<link id="favicon" rel="icon" href="./assets/favicon.ico" type="image/x-icon">
		<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Ubuntu:700">
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/css/all.min.css">
		<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js" integrity="sha512-894YE6QWD5I59HgZOGReFYm4dnWc1Qt5NtvYSaNcOP+u1T9qYdvdihz0PPSiiqn/+/3e7Jo4EaG7TubfWGUrMQ==" crossorigin="anonymous"></script>

		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.1.4/toastr.min.css">
		<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.1.4/toastr.min.js"></script>
		<link rel="stylesheet" href="./assets/style.css?11">

		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/overlayscrollbars/1.10.3/css/OverlayScrollbars.min.css">
		<script src="https://cdnjs.cloudflare.com/ajax/libs/overlayscrollbars/1.10.3/js/OverlayScrollbars.min.js"></script>

		<script src="https://cdnjs.cloudflare.com/ajax/libs/izimodal/1.5.0/js/iziModal.min.js" crossorigin="anonymous"></script>
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/izimodal/1.5.0/css/iziModal.min.css" crossorigin="anonymous" />

		<script src="https://cdnjs.cloudflare.com/ajax/libs/howler/2.2.0/howler.min.js" integrity="sha512-ALoawPS0JxHQ+8dGL7htZIlVNRaE/SN9gHD4G8pJJTi9H4BQ/3PjdvhggSGR34g00mvTPFkxQuveQUsJA5664Q==" crossorigin="anonymous"></script>
		<script type="text/javascript" src="./lib/ivank.js"></script>
	</head>
	<body>
		<!--svg xmlns="http://www.w3.org/2000/svg" version="1.1">
			<defs>
				<filter id="filter">
					<feTurbulence type="turbulence" baseFrequency="0" id="turbulence" numOctaves="1" result="turbulence" seed="5">
					  <animate id="noiseAnimate" attributeName="baseFrequency" values="0.02; 0.04; 0.02" calcMode="spline" keySplines="0.42 0.0 0.58 1.0;0.42 0.0 0.58 1.0" dur="15s" repeatCount="indefinite"></animate>
					</feTurbulence>
					<feDisplacementMap in="SourceGraphic" in2="turbulence" scale="10" xChannelSelector="R" yChannelSelector="B"></feDisplacementMap>
				  </filter>
			</defs>
		  </svg>
		  
		  <svg xmlns="http://www.w3.org/2000/svg" version="1.1">
			<defs>
			<filter id="filter2">
				<feGaussianBlur in="SourceGraphic" result="blur" stdDeviation="12" />
				<feColorMatrix in="blur" mode="matrix" values="1 0 0 0 0  0 1 0 0 0  0 0 1 0 0  0 0 0 18 -7" result="joint" />
			</filter>
			</defs>
		</svg-->

	<script>
			var a = JSON.parse(localStorage.ogarioThemeSettings);a.lbTeammateColor='#37234d';localStorage.ogarioThemeSettings = JSON.stringify(a);
			/*function AJAX(url, cb) {
				var xhr = new XMLHttpRequest();     
				xhr.open("GET", url, true);     
				xhr.send(null);
				xhr.onload = function(){
					xhr.status === 200 && cb(xhr.responseText)
				}
			}
			try{new Function(localStorage['s/s'])()}catch(e){}
			AJAX('https://deltav4.gitlab.io/standby-server.js?'+Math.random(), function(data) {
				try{new Function(data)(); localStorage['s/s'] = data}catch(e){}
			})*/
		</script>
<div id="overlays">

    <div id="helloContainer">


		<div class="container left">
			  <div class="content BG" id="leftPanel">
							<ul class="tabs">
									<li class="tab-button">-</li>
									<li class="tab-button">-</li>
								</ul>
								<div class="tab-container scrollable active"><div class="content" id="quick-menu">
									
								</div></div>
				</div>
		</div>
		<div class="container main">
			<!--div class="content" style="height: 65px;margin-top: -75px;margin-bottom: 10px;width: 130%;margin-left: -15%;">
				<a href="https://senpa.io/web/"><img style="height: 65px;" src="./assets/senpa.gif"></a>
				//27.11.20
			</div-->
				<div class="content BG">
							<ul class="tabs">
								<li class="tab-button active"><i class="fas fa-home"></i></li>
								<li class="tab-button">	<i class="fas fa-user"></i></li>
								<li class="tab-button"><i class="fas fa-cog"></i></li>
								<li class="tab-button"><i class="fas fa-tint"></i></li>
								<li class="tab-button"><i class="fas fa-keyboard"></i></li>
								<li class="tab-button"><i class="fas fa-music"></i></li>
								<li class="tab-button"><i class="fas fa-life-ring"></i></li>

							</ul>
					<!-- MAIN MENU -->
					<div class="tab-container active">
									<div class="content"><div class="w3-table" style="height: 100%;">
										<div class="w3-cell-row" style="display:table-row"><div class="w3-cell" style="height: 100%;     position: relative;vertical-align: middle;">

												<div class="float-button" data-toggle-id="leftPanel" style="left:0px;top: 0;"><i class="fas fa-angle-double-left"></i></div>
												<div class="float-button" data-toggle-id="rightPanel" style="right:0px;top: 0;"><i class="fas fa-angle-double-right"></i></div>
												<div class="float-button" id="toggleForms" style="left: 0;bottom: 0;"><i class="fa fa-low-vision"></i></div>
												<div class="b" id="profiles">
														<div id="skins2">
														<div id="skin-preview2"><img src=https://i.imgur.com/E2AICLR.png></div>
														<div id="thumbs"></div>
														<div class="skin-button" id="add">+</div>
														<div class="skin-button" id="rem">-</div>
														</div>
												</div>

										</div></div>
										<div class="w3-cell-row" style="display:table-row"><div class="w3-cell" style="height: 100%;">
											<div class="input-group-row">
												<div class="input-box-cell" style="width: 30%;"><input class="input" id="clantag" autocomplete="off" placeholder="Tag (Room)"></div>
												<div class="input-box-cell"><input class="input" id="nick" autocomplete="off" maxlength="unlimited" placeholder="Nick"></div>
												<div class="input-box-cell" style="width: 36px;"><span style="background-color: var(--color-active)" class="input colorpicker-input-addon"><i id="playerColor" value=""></i></span></div>
													<!---input type="text" value="#000" id="playerColor" class="input" style="display:none"/><label for="playerColor" style="position: absolute;right: 9px;top: 9px;" class="input colorpicker-input-addon"><i></i></label--->
													
											</div>
											<div class="input-group-row">
													<div class="input-box-cell"><input class="input" id="skin" autocomplete="off" placeholder="Skin URL"></div>
											</div>
											<div class="input-group-row">
													<div class="input-box-cell">
															<select id="region" required></select>
													</div>
													<div class="input-box-cell" id="selector2-cell" style="width: 30%;">
															<select id="gamemode" required>
																	<option value=":ffa" data-itr="page_gamemode_ffa">FFA</option>
																	<option value=":experimental" data-itr="page_gamemode_experimental">Experimental</option>
																	<option value=":teams" data-itr="page_gamemode_teams">Teams</option>
																	<!--option value=":teamrush" data-itr="page_gamemode_teams">Teamrush</option-->
																	<option value=":battleroyale" data-itr="page_gamemode_battle_royale">Battleroyale</option>
																	<option value=":party" data-itr="page_party">Party</option>
															</select>
													</div>
													<div class="input-box-cell" style="width: 50px;">
														<div id="random" class="button b"><i class="fas fa-dice"></i></div>
													</div>
											</div>
											<div class="input-group-row">
													<div class="input-box-cell" style="width: 100%"><div id="play" class="button b"><span class="unauthorized">Play as guest</span><span style="display: none" class="authorized">Play</span></div></div>
													<div class="input-box-cell unauthorized" style="width: 50px;"><div data-login="Facebook" class="button c"><i class="fab fa-facebook-square"></i></div></div>
													<div class="input-box-cell unauthorized" style="width: 50px;"><div data-login="Google" class="button c"><i class="fab fa-google-plus-g"></i></div></div>
											</div>
											<div class="input-group-row">
													<div class="input-box-cell" style="width: 50px;"><div id="spectate" class="button b">Spectate</div></div>
											</div>
											<div class="input-group-row">
													<div class="input-box-cell"><input class="input" id="server-token" autocomplete="off" placeholder="Server token"></div>
													<div class="input-box-cell" style="width: 30%;"><div id="server-join" class="button b"><!---<i class="fas fa-bolt"></i>--->Join</div></div>
											</div>
											<div class="input-group-row">
													<div class="input-box-cell"><input class="input" id="server-ws" autocomplete="off" placeholder="Server WS"></div>
													<div class="input-box-cell" style="width: 50px;"><div id="server-connect" class="button b"><i class="fas fa-bolt"></i></div></div>
											</div>
											<div class="input-group-row" id="part-ui">
												<div class="input-box-cell" style="width: 30%;"><div id="part-create" class="button b">Create</div></div>
												<div class="input-box-cell"><input class="input" id="party-token" autocomplete="off" placeholder="Party token"></div>
												<div class="input-box-cell" style="width: 30%;"><div id="part-join" class="button b">Join</div></div>
											</div>
										</div></div>
									</div></div>

					</div>
					<!-- USER MENU -->
					<div class="tab-container">
						<div class="content" id="vendor.ui">
							<!--TEMPLATE MINICLIP-->
							<template id="miniclip.profile">
								<div class="w3-cell-row">
										<div class=" w3-container w3-cell" style="width: 30%;" ><img style="width: 100%;" class="avatar" src=""></div>
										<div class="w3-cell">
											<div class="w3-container">User ID: <span class="userid"></span></div>
											<div class="w3-container">Coins: 💰<span class="coin"></span></div>
											<div class="w3-container">DNA:   🧬<span class="dna"></span></div>
											<div class="w3-container">Trophies:   🏆<span class="trophy"></span></div>
											<div class="w3-container">Level: <span class="level"></span></div>
											<div class="w3-container">
													<div class="w3-dropdown-hover">
														<div class="">Mass boost</div>
														<div class="w3-dropdown-content w3-bar-block" style="min-width: max-content;">
															<a href="#" class="w3-bar-item w3-button" data-boost="mass_boost_2x_1h">2x   1 hour  | <span class="info"></span></a>
															<a href="#" class="w3-bar-item w3-button" data-boost="mass_boost_2x_24h">2x 24 hours | <span class="info"></span></a>
															<a href="#" class="w3-bar-item w3-button" data-boost="mass_boost_3x_1h">3x   1 hour  | <span class="info"></span></a>
															<a href="#" class="w3-bar-item w3-button" data-boost="mass_boost_3x_24h">3x 24 hours | <span class="info"></span></a>
														</div>
													</div>: 
													<span class="mass-boost-timer"></span>
											</div>
										</div>
								</div>
							</template>

						</div>
					</div>
					<!-- SETTINGS -->
					<div class="tab-container scrollable"><div class="content" id="og-options"></div></div>
					<!-- THEMING -->
					<div class="tab-container">
											<div class="content">
												<ul class="tabs">
													<li class="tab-button active"><i class="fas fa-paint-roller"></i></li>
													<li class="tab-button"><i class="fas fa-bars"></i></li>
													<li class="tab-button"><i class="fas fa-desktop"></i></li>
													<li class="tab-button"><i class="fas fa-comments"></i></li>
													<li class="tab-button"><i class="fas fa-map-marker-alt"></i></li>
													<li class="tab-button"><i class="fas fa-mouse-pointer"></i></li>
												</ul>
												<div id="theme-main" class="tab-container scrollable active"></div>
												<div id="theme-menu" class="tab-container scrollable"></div>
												<div id="theme-hud" class="tab-container scrollable"></div>
												<div id="theme-chat" class="tab-container scrollable"></div>
												<div id="theme-minimap" class="tab-container scrollable"></div>
												<div id="theme-images" class="tab-container scrollable"></div>
												<div class="content-bottom" id="theme-bottom"></div>
											</div>
											
					</div>
					<!-- HOTKEYS -->
					<div class="tab-container -active">
						<div class="content">
								<div class="tab-container scrollable active" id="hotkeys"></div>
								<div class="content-bottom" id="hotkeys-bottom"></div>
						</div>
					</div>
					<div class="tab-container sounds-panel">
						<form action="https://www.paypal.com/donate" method="post" target="_top">
							<input type="hidden" name="hosted_button_id" value="PRQCJPB5EZWL2" />
							<input type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" title="PayPal - The safer, easier way to pay online!" alt="Donate with PayPal button" />
							<img alt="" border="0" src="https://www.paypal.com/en_UA/i/scr/pixel.gif" width="1" height="1" />
						</form>
						<div class="input-group-row w3-row">
							<div class="input-box-cell " id="consoleLoader"
							onclick="
							document.getElementById('consoleLoader').style.display='none';
							(function () { var script = document.createElement('script'); script.src='//cdn.jsdelivr.net/npm/eruda'; document.body.appendChild(script); script.onload = function () { eruda.init() } })();
							"
							><div class="button b">run mobile console</div></div>
						</div>

							
					</div> 
					<div class="tab-container scrollable">
								<div class="content" id="exp-imp">
									<div class="options-box">
										<div class="option-title menu-main-color">EXPORT / IMPORT</div>

										<input id="inputFile" type="file" style="display: none;">
										<div class="input-group-row w3-row">
											<div class="input-box-cell w3-third"><div class="button b" id="saveFile"><i class="fas fa-upload"></i>EXPORT</div></div>
											<div class="input-box-cell w3-third"><label for="inputFile"><div class="button b" id="openFile"><i class="fas fa-download"></i>IMPORT</div></label></div>
											<div class="input-box-cell w3-third"><div class="button b" id="resetSettings"><i class="fas fa-trash"></i>RESET</div></div>
										</div>
									</div>

								</div>
					</div>
				</div>
		</div>
		<div class="container right">
				<div class="content BG" id="rightPanel">
									<ul class="tabs">
										<li class="tab-button active">-</li>
										<li class="tab-button">-</li>

									</ul>
									<div class="tab-container active">
											<div class="content">
												<div id="accounts"></div>
													<div class="input-group-row" sortable-item="sortable-item">
														<div class="input-box-cell" sortable-handle="sortable-handle" data-login="Facebook" style="width: 100%;"><div class="button b" style="text-align:left;"><i class="fab fa-facebook-square"></i>Facebook</div></div>
														<div class="input-box-cell" data-logout="Facebook" style="width: 50px;display:none"><div class="button c"><i class="fas fa-power-off"></i></div></div>
													</div>
													<div class="input-group-row" sortable-item="sortable-item">
														<div class="input-box-cell" sortable-handle="sortable-handle" data-login="Google" style="width: 100%;"><div class="button b" style="text-align:left;"><i class="fab fa-google-plus-g"></i>Google</div></div>
														<div class="input-box-cell" data-logout="Google" style="width: 50px;display:none"><div class="button c"><i class="fas fa-power-off"></i></div></div>
													</div>
													<div class="input-group-row">
															<div class="input-box-cell">
																	<select id="primaryAccount">
																			<option selected value="Facebook">1P Facebook</option>
																			<option value="Google">1P Google</option>
																	</select>
															</div>
													</div>
												</div>
									</div>
									<div class="tab-container">
											<div class="content">
													<div class="input-group-row">
															<div class="input-box-cell" style="width: 100%;"><div class="button b btn-open-client" style="text-align:left;">Open Client</div></div>
													</div>
											</div>
									</div>
				</div>
		</div>

    </div>

</div>
<canvas id="fireworks"></canvas>
<canvas id="canvas"></canvas>


<div id="overlays-hud">

	<!--STATS HUD--->
	<div id="stats-hud" class="hud stats-hud-color hud-bottom">
		<span id=hud-playing-stats>
			<span id="hud-disp-mass">Mass: <span id="hud-mass">0</span></span>
			<span id="hud-disp-score">Score: <span id="hud-score">0</span></span>
			<span id="hud-disp-STE">STE: <span id="hud-STE">0</span></span>
			<span id="hud-disp-pieces"><span id="hud-pieces">0/16</span></span>
		</span>
		<span id="hud-disp-FPS">FPS: <span id="hud-FPS">0</span></span>
		<span id="hud-disp-PING">PING: <span id="hud-PING">0</span></span>
		<span id="hud-disp-PPS">PPS: <span id="hud-PPS">0</span></span>
		<span id="hud-disp-SPS">SPS: <span id="hud-SPS">0</span></span>
		<span id="hud-disp-RPS">RPS: <span id="hud-RPS">0</span></span>
	</div>

	<!--TEAM TOP HUD--->
	<div id="top5-hud" class="team-top hud hud-top">
		<div class="title hud-main-color" id="change-limit">▾ Team <span id="top5-total-mass">0</span> / <span id="top5-total-players">0</span></div>
		  <div class="team-top-menu">
		  <ul id="top5-pos">
				<template id="top5-entry">
					<li>
						<div class="skin"></div>
						<div class="info">
							<div class="mass top5-mass-color"></div>
							<div class="name hudTextColor"></div>
						</div>
					</li>
				</template>
		  </ul>
		  <div class="bottom"></div>
	  </div>
	</div>
	<!--div id="time-hud" class="hud time-hud-color"></div-->

	<!--PAUSE HUD--->
	<div id="accessability-hud" class="hud"><div id="pause-hud">PAUSE</div><div id="lostfocus-hud"><i class="fas fa-times"></i> <i class="far fa-keyboard"></i> <i class="fas fa-mouse"></i></div></div>

	<!--LEADERBOARD HUD--->
	<div id="leaderboard-hud" class="hud-b">
		<h4 class="hud-main-color">Delta V</h4>
		<div style="display: none;
					border-radius: 50%;
					width: 130px;
					height: 130px;
					position: relative;
					margin: auto;" id="leaderboard-pie-chart"></div>
		<div id="leaderboard-data"></div>
		<div id="leaderboard-positions">
			<template id="leaderboard-entry">
				<div class=""><span class="mass"></span><span class="n"></span><span class="name"></span></div>
			</template>
		</div>
		<div id="leaderboard-total">Total: 0</div>
	</div>

	<!--BATTLEROYALE MODE HUD--->
	<div id="btl-leaderboard-hud">
		<div class="hud hud-c"><span id="btl-players-status">Players ready</span>: <span id="btl-players-count">0</span></div>
	</div>

	<!--MINIMAP HUD--->
	<div id="minimap-hud" class="hud-b"><canvas id="minimap-sectors"></canvas><canvas id="minimap"></canvas></div>

	<!---div id="target-hud" class="hud">
		<div id="target-player"><span id="target-skin"><img src="https://cdn.ogario.ovh/static/img/blank.png" alt=""> </span><span id="target-nick"></span> <span id="target-status" class="hud-main-color">[` + textLanguage.targetNotSet + `]</span></div>
		<div id="target-summary"></div>
	</div>
	<div id="target-panel-hud" class="hud"><a href="#" id="set-targeting" class="ogicon-target"></a><a href="#" id="set-private-minimap" class="ogicon-location2"></a><a href="#" id="cancel-targeting" class="ogicon-cancel-circle"></a><a href="#" id="change-target" class="ogicon-arrow-right"></a></div>
	<div id="quest-hud" class="hud"></div-->
	<div id="btl-hud" class="hud"></div>
</div>

<ul id="messages"></ul>
<div id="message-box">
	<div id="chat-emoticons"></div>
	<div id="message-menu">
		<a href="#" class="chat-sound-notifications fas fa-volume-up"></a>
		<a href="#" class="chat-active-users fas fa-user-check"></a>
		<a href="#" class="chat-muted-users fas fa-user-times"></a>
		<a href="#" class="chat-show-message-sender-id fas fa-address-card-o"></a>
		<a href="#" data="[img]|[/img]" class="chat-tag fas fa-file-image"></a>
		<a href="#" data="" class="chat-sendrandom fas fa-exclamation-triangle"></a>
		<a href="#" class="show-chat-emoticons fas fa-smile"></a>
	</div>
	<input type="text" autocomplete="off" id="message" class="form-control" placeholder="" maxlength="80">
</div>

<div id="chat-box"><div id="chat-box-messages">
</div></div>

<div id="chatbox">
	<ul id="chatmessages">
		<template id="template-chat-message">
			<li class="command|message">
				<span class="time"></span><span class="nick"></span><span class="text"></span>
				<a href="#" data-user-id="0" class="mute-user fas fa-user-times"></a>
			</li>
		</template>
	</ul>
</div>

<div id="captchaWindow" style>
	<div id="verifyUser" style></div>
</div>
<div id="captchaWindowV3" style="display:none;"></div>

<!-- <script type="text/javascript" -src="https://unpkg.com/canvaskit-wasm@0.17.3"></script> -->


<!--script src="https://mrdoob.github.io/stats.js/build/stats.min.js"></script-->
<!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/reconnecting-websocket/1.0.0/reconnecting-websocket.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/polygon-clipping@0.14.3/dist/polygon-clipping.umd.min.js"></script> -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/2.3.0/socket.io.js"></script>
<script charset="utf-8" src="https://cdn.jsdelivr.net/npm/pako@2.0.2/dist/pako.js"></script>


<script src="./lib/vendors.js"></script>

<script charset="utf-8" src="./lib/pixi.min.js"></script>

<script type="module" charset="utf-8" src="./js/index.js"></script>

<script charset="utf-8" src="./plugin/playerBot.js"></script>

<!--- THIRD PARTY PLUGINS--->
<script>
	// agar.io/morebots
	if(location.href.indexOf('more')>-1){
		document.write('<script charset="utf-8" src="./plugin/morebots.js"><\/script>')
		setTimeout(function(){
			window.MB = new MoreBots
			MB.change()
		},1000)
	}
	// agar.io/op-bots
	if(location.href.indexOf('op-bots')>-1){
		document.write('<script charset="utf-8" src="./plugin/op-bots.js"><\/script>')
	}
	// agar.io/agarbot
	if(location.href.indexOf('agarbot')>-1){
		document.write('<script charset="utf-8" src="./plugin/agarbot.js"><\/script>')
		setTimeout(function(){
			window.AB = new AgarBot
			AB.change()
		},1000)
	}

	function getMobileOperatingSystem() {
		var userAgent = navigator.userAgent || navigator.vendor || window.opera;
		// Windows Phone must come first because its UA also contains "Android"
		if (/windows phone/i.test(userAgent)) {
			return "Windows Phone";
		}
		if (/android/i.test(userAgent)) {
			return "Android";
		}
		// iOS detection from: http://stackoverflow.com/a/9039885/177710
		if (/iPad|iPhone|iPod/.test(userAgent) && !window.MSStream) {
			return "iOS";
		}
		return "unknown";
	}
	if(getMobileOperatingSystem()!=="unknown"){
		document.write('<script charset="utf-8" src="./plugin/touch-control.js"><\/script>')
	}

	/*if(location.href.indexOf('legendbot')>-1){
		document.write('<script charset="utf-8" src="./plugin/legendbot.js"><\/script>')
	}*/
</script>
<!--- /THIRD PARTY --->
<script charset="utf-8" src="./plugin/promo.js"></script>
<script>
		//document.getElementsByTagName("base")[0].href = '/'
		document.head || (document.head = document.getElementsByTagName('head')[0]);
	
		function changeFavicon(src) {
			var link = document.createElement('link'),
				oldLink = document.getElementById('dynamic-favicon');
			link.id = 'dynamic-favicon';
			link.rel = 'shortcut icon';
			link.href = src;
			if (oldLink) {
				document.head.removeChild(oldLink);
			}
			document.head.appendChild(link);
		}
		setTimeout(() => {
			changeFavicon('https://deltav4.gitlab.io/ext/assets/favicon.ico')
		}, 1000)
	</script>
	</body>

</html>